import pymysql
from pymysql.cursors import DictCursor

# 所有的I/O操作：文件，数据库，网络等，均有如下三个基本步骤：
# 第一步：连接到MySQL数据库

conn = pymysql.connect(host='127.0.0.1', port=3306, user='root', password='123456',
                       charset='utf8', database='woniunote', autocommit=True)
# print(conn.get_server_info())
# 第二步：执行SQL语句
# 1. 实例化一个游标对象，2. 定义SQL语句，3.通过游标执行，4，处理执行结果
# cursor = conn.cursor()
# sql = "select * from users"
# cursor.execute(sql)
# result = cursor.fetchall()

# for row in result:
#     print(row[6])

# 一般情况下，不建议使用下标获取列的值
# print(result[2][6])

# 建议使用Key-Value来获取数据（Key==>列名，Value==>单元格的值）
# 代码可读性更强，代码维护起来更加高效
# 建议面对一些复杂的SQL，先在Navicat调试完成后再整合到代码中
cursor = conn.cursor(DictCursor)

# sql = "select * from users where userid=3"
# cursor.execute(sql)
# result = cursor.fetchall()
#
# print(result[0]['username'])

# 更新
sql = "update users set qq='12345678' where userid=4"
cursor.execute(sql)
# conn.commit()   # 提交修改：update, insert, delete

# 第三步：关闭数据库连接
cursor.close()
conn.close()

