from flask import Blueprint, request

# 定义了一个Blueprint的模块名称
demo = Blueprint('demo', __name__)

# 定义模块拦截器（控制器拦截器，蓝图拦截器）
@demo.before_request
def demo_before():
    url = request.path
    if url == '/demo1':
        return '禁止访问'


@demo.route('/demo1')
def my_demo1():  # 函数名称不能与全局变量名称一致
    return '这是另外一个模块中的页面-1'

@demo.route('/demo2')
def my_demo2():  # 函数名称不能与全局变量名称一致
    return '这是另外一个模块中的页面-2'

